Bug 1949593 - rename DeprecatedAPIInUse alert to APIRemovedInNextReleaseInUse
Summary: rename DeprecatedAPIInUse alert to APIRemovedInNextReleaseInUse
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.8.0
Assignee: Luis Sanchez
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-14 15:54 UTC by Luis Sanchez
Modified: 2021-07-27 23:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:00:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 1045 0 None open Bug 1949593: rename DeprecatedAPIInUse alert to APIRemovedInNextReleaseInUse 2021-04-14 15:54:37 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:01:03 UTC

Description Luis Sanchez 2021-04-14 15:54:15 UTC

Comment 2 Ke Wang 2021-04-28 06:22:27 UTC
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-04-26-151924   True        False         21h     Cluster version is 4.8.0-0.nightly-2021-04-26-151924

$ oc get prometheusrules kube-apiserver -n openshift-kube-apiserver -oyaml|grep APIRemovedInNextReleaseInUse
    - alert: APIRemovedInNextReleaseInUse

alert name was changed to APIRemovedInNextReleaseInUse, so move the bug VERIFIED.

Comment 3 Xingxing Xia 2021-04-28 06:45:31 UTC
Tested 4.8.0-0.nightly-2021-04-28-005607 from web console alerting page, the alert is showing APIRemovedInNextReleaseInUse. So moving to VERIFIED.

Comment 6 errata-xmlrpc 2021-07-27 23:00:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.